package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDownloadManagerProvider
import com.lightgame.download.DownloadEntity

@Route(path = RouteConsts.provider.downloadManager, name = "DownloadManager暴露服务")
class DownloadManagerProviderImpl : IDownloadManagerProvider {

    override fun getDownloadEntityByUrl(url: String): DownloadEntity? {
        return null
    }

    override fun resumeAllInvisiblePendingTask() {
        // Do nothing
    }

    override fun init(context: Context?) {
        // Do nothing
    }

}